html:root {
    --bg-color: #fff;
    --bg-main-color: #f7f7f7;
    --text-color: rgb(43 46 77);
    --bg-project: #525963;--text-color-active: #F44336;
    --scrollbar-color: #8b8b8b;
    --scrollbar-color-active: #F44336;
    --header-shadow: #00000036;
}
html[theme="white"]:root {
    --bg-color: #fff;
    --bg-main-color: #f7f7f7;
    --text-color: rgb(43 46 77);
    --scrollbar-color: #cdcdcd;
    --header-shadow: #00000036;
}
html[theme="dark"]:root {
    --bg-color: #222;
    --bg-main-color: #151515;
    --text-color: rgb(254 254 255);
    --scrollbar-color: #3b3b3b;
    --header-shadow: #00000036;
}
html[active="color_1"]:root {
    --text-color-active: #F44336;
    --scrollbar-color-active: #F44336;
}
html[active="color_2"]:root {
    --text-color-active: #FF9800;
    --scrollbar-color-active: #FF9800;
}
html[active="color_3"]:root {
    --text-color-active: #009688;
    --scrollbar-color-active: #009688;
}
html[active="color_4"]:root {
    --text-color-active: #3F51B5;
    --scrollbar-color-active: #3F51B5;
}
html[active="color_5"]:root {
    --text-color-active: #9C27B0;
    --scrollbar-color-active: #9C27B0;
}

html {
    height: 100%;
    font-family: "Noto Sans";
	scroll-behavior: smooth;
}

* {
    color: var(--text-color);
    box-sizing: border-box;
    text-decoration: none;
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

body {
    padding: 0;
    margin: 0;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-direction: row;
}
::-webkit-scrollbar {
    width: 9px;
}
::-webkit-scrollbar-track {
    background: var(--scrollbar-color);
    transition: all .5s ease-out;
    border-radius: 25px;
}
::-webkit-scrollbar-thumb {
    background-color: var(--scrollbar-color-active);
    border-radius: 25px;
    border: 0;
}

header {
    min-width: 300px;
    max-width: 300px;
    height: 100%;
    overflow: hidden;
    background: var(--bg-color);
    box-shadow: 0px 0px 12px 0px var(--header-shadow);
    z-index: 10;
    position: relative;
}
mobile {
    position: fixed;
    top: 30px;
    left: 20px;
    z-index: 10;
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 20px;
    justify-content: flex-end;
}
bgmobile {
    position: absolute;
    width: 100%;
    height: 100%;
    display: none;
    z-index: 10;
}

bgmobile[status="open"] {
    display: block;
}
button.btn_mobile {
    background: var(--bg-color);
    border: 1px solid var(--text-color);
    outline: none;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    font-size: 18px;
    padding: 0;
    display: flex;
    align-items: center;
    align-content: center;
    justify-content: center;
    cursor: pointer;
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}
button.btn_mobile:hover {
    opacity: 0.5;
}

.header-box {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    padding: 40px;
    box-sizing: border-box;
    gap: 30px;
    width: 300px;
}

.header-box-logo {
    height: 75px;
    position: relative;
}

.header-box-footer {
    height: 75px;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.header-box-menu {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 15px;
}

img.header-logo {
    width: 100%;
    padding: 15px;
}
img.header-logo.srcB {
    position: absolute;
    top: 0;
    left: 0;
}

html[theme="white"] img.header-logo.srcW {
    opacity: 0;
}
html[theme="dark"] img.header-logo.srcB {
    opacity: 0;
}
.box-bg-logo.l-b-bg, .box-bg-logo.r-t-bg {
    width: 30px;
    height: 6px;
}

.box-bg-logo {
    background: var(--text-color-active);
    position: absolute;
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

.box-bg-logo.l-t-bg, .box-bg-logo.r-b-bg {
    width: 6px;
    height: 30px;
}

.box-bg-logo.r-t-bg {
    top: 0;
    right: 0;
}

.box-bg-logo.r-b-bg {
    right: 0;
    top: 0;
}

.box-bg-logo.l-t-bg {
    left: 0;
    bottom: 0;
}

.box-bg-logo.l-b-bg {
    left: 0;
    bottom: 0;
}

.header-box-logo:hover .r-b-bg {
    top: calc(100% - 30px);
}

.header-box-logo:hover .r-t-bg {
    right: calc(100% - 30px);
}

.header-box-logo:hover .l-t-bg {
    bottom: calc(100% - 30px);
}

.header-box-logo:hover .l-b-bg {
    left: calc(100% - 30px);
}
.header-box-menu > a {
    display: flex;
    font-size: 24px;
    align-items: center;
    flex-direction: row;
    align-content: center;
    justify-content: flex-start;
    gap: 10px;
    cursor: pointer;
}

.header-box-menu > a.active,.header-box-menu > a.active i,
.header-box-menu > a:hover,.header-box-menu > a:hover i {
    color: var(--text-color-active);
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}
main {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: flex-start;
    padding-top: 30px;
    padding-left: 25px;
    padding-bottom: 30px;
    gap: 12.5px;
    height: 100%;
    background: var(--bg-main-color);
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

.main-box {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: flex-start;
    min-height: calc(100% - 35px);
    overflow: hidden;
    position: relative;
    justify-content: flex-start;
}

footer {
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-direction: row;
    padding-right: 30px;
    font-size: 24px;
    gap: 15px;
}
footer > a {
    opacity: .5;
}

footer > a:hover {
    opacity: 1;
}
.main-box-list {
    max-width: 100%;
    min-width: 100%;
    left: 100%;
    height: 100%;
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
    position: absolute;
    background: var(--bg-main-color);
    z-index: 10;
}

.main-box-list#index, .main-box-list.active {
    left: 0%;
}

theme {
    position: fixed;
    top: 60px;
    right: 10px;
    z-index: 1000;
    display: flex;
    align-items: stretch;
    flex-direction: row;
    gap: 20px;
    justify-content: flex-end;
}

.box_theme {
    background: var(--bg-color);
    border: 1px solid var(--text-color);
    padding: 15px;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 15px;
    width: 177px;
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

.btns_theme {
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: space-between;
}

button.btn_theme {
    background: var(--bg-color);
    border: 1px solid var(--text-color);
    outline: none;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    font-size: 18px;
    padding: 0;
    display: flex;
    align-items: center;
    align-content: center;
    justify-content: center;
    cursor: pointer;
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

html[theme="dark"] theme button.btn_theme#moon {
    display: none;
}

html[theme="white"] theme button.btn_theme#sun {
    display: none;
}

button.box_theme-item {
    border: 0;
    box-sizing: border-box;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    cursor: pointer;
}

button.btn_theme:hover {
    opacity: 0.5;
}

.box_theme h4 {
    margin: 0;
}

.box_theme-list {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: 5px;
    justify-content: center;
}

button.box_theme-item[color="1"] {
    background: #F44336;
}

button.box_theme-item[color="2"] {
    background: #FF9800;
}

button.box_theme-item[color="3"] {
    background: #009688;
}

button.box_theme-item[color="4"] {
    background: #3F51B5;
}

button.box_theme-item[color="5"] {
    background: #9C27B0;
}
html[active="color_1"] button.box_theme-item[color="1"]:before {
    content: "\f00c";
    font-family: "Font Awesome 6 Pro";
}

html[active="color_1"] button.box_theme-item[color="1"] {
    opacity: 0.5;
    pointer-events: none;
}
html[active="color_2"] button.box_theme-item[color="2"]:before {
    content: "\f00c";
    font-family: "Font Awesome 6 Pro";
}

html[active="color_2"] button.box_theme-item[color="2"] {
    opacity: 0.5;
    pointer-events: none;
}
html[active="color_3"] button.box_theme-item[color="3"]:before {
    content: "\f00c";
    font-family: "Font Awesome 6 Pro";
}

html[active="color_3"] button.box_theme-item[color="3"] {
    opacity: 0.5;
    pointer-events: none;
}
html[active="color_4"] button.box_theme-item[color="4"]:before {
    content: "\f00c";
    font-family: "Font Awesome 6 Pro";
}

html[active="color_4"] button.box_theme-item[color="4"] {
    opacity: 0.5;
    pointer-events: none;
}
html[active="color_5"] button.box_theme-item[color="5"]:before {
    content: "\f00c";
    font-family: "Font Awesome 6 Pro";
}

html[active="color_5"] button.box_theme-item[color="5"] {
    opacity: 0.5;
    pointer-events: none;
}
button.box_theme-item:hover {
    opacity: 0.5;
}

.box_theme-co {
    overflow: hidden;
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

.box_theme-co[status="close"] {
    width: 0%;
}

.box_theme-co[status="open"] {
    width: 100%;
}
